Qt 5.6 | Qt GUI | C++ Classes | QShowEvent

Qt 5.6.2 Reference Documentation

# QShowEvent Class

The QShowEvent class provides an event that is sent when a widget is shown. More...

Header: | #include <QShowEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QShowEvent()

## Detailed Description

The QShowEvent class provides an event that is sent when a widget is shown.

There are two kinds of show events: show events caused by the window system (spontaneous), and internal show events. Spontaneous (QEvent::spontaneous()) show events are sent just after the window system shows the window; they are also sent when a top-level window is redisplayed after being iconified. Internal show events are delivered just before the widget becomes visible.

See also QHideEvent.

## Member Function Documentation

### QShowEvent::QShowEvent()

Constructs a QShowEvent.